import { ModuleWithProviders, OnDestroy, OnInit } from '@angular/core';
import { ControlContainer } from '@angular/forms';
import { Router } from '@angular/router';
import { BindQueryParamsManager, BindQueryParamsOptions } from './types';
export declare class BindQueryParamsDirective implements OnInit, OnDestroy {
    private formGroupDirective;
    private router;
    private options;
    _defs: BindQueryParamsManager;
    private destroy;
    constructor(formGroupDirective: ControlContainer, router: Router, options: BindQueryParamsOptions);
    get defs(): import("./types").QueryParamDef<any>[];
    ngOnInit(): void;
    get group(): import("@angular/forms").AbstractControl;
    ngOnDestroy(): void;
    private updateQueryParams;
}
export declare class BindQueryParamsModule {
    static forRoot(options?: BindQueryParamsOptions): ModuleWithProviders<BindQueryParamsModule>;
}
